MetricConfigSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MetricConfigSummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  GroupMetricDisplaySummary, MeasurementSummary

    public class MetricConfigSummary

extends java.lang.Object
implements java.io.Serializable

Contains the information to display for a metric's configuration

See Also:
  Serialized Form

Constructor Summary
`MetricConfigSummary()` Default Constructor
`MetricConfigSummary(int id, java.lang.String name, java.lang.String category)` Constructor with id, name and category.

Method Summary
`java.lang.String` | `getCategory()`
`java.lang.String` | `getDescription()`
`int` | `getId()` Deprecated. Use getLabel()
`long` | `getInterval()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()` Deprecated. Use getLabel()
`java.lang.Integer` | `getTemplateId()`
`void` | `setCategory(java.lang.String string)`
`void` | `setDescription(java.lang.String string)`
`void` | `setInterval(long l)`
`void` | `setLabel(java.lang.String label)`
`void` | `setTemplateId(java.lang.Integer templateId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricConfigSummary

    public MetricConfigSummary()

  Default Constructor

### MetricConfigSummary

    public MetricConfigSummary(int id,
                               java.lang.String name,
                               java.lang.String category)

  Constructor with id, name and category.

Method Detail

### getId

    public int getId()

  Deprecated. Use getLabel()

  Old getter for compatibility

### getName

    public java.lang.String getName()

  Deprecated. Use getLabel()

  Old getter for compatibility

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String string)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String string)

### getInterval

    public long getInterval()

### setInterval

    public void setInterval(long l)

### getTemplateId

    public java.lang.Integer getTemplateId()

### setTemplateId

    public void setTemplateId(java.lang.Integer templateId)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.